/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.security.servletfilters;
import java.util.HashSet;
import java.util.Collection;

/** 
 *  @author Bill Niebel (niebel@virginia.edu)
 */
public class ImmutableHashSet extends HashSet {
	private static final long serialVersionUID = 1L;
	
    public boolean add(Object o) {
    	return false;
    }
    
    public void clear() {
    }

    public Object clone() {
    	return null; 
    }

    public boolean remove(Object o) {
    	return false;
    }
    
    public boolean removeAll(Collection c) {
    	return false;
    }
    
    public boolean addAll(Collection c) {
    	return false;
    }
    
    public boolean retainAll(Collection c) {
    	return false;
    }

    
}
